diff --git a/web/pgadmin/browser/static/js/node.ui.js b/web/pgadmin/browser/static/js/node.ui.js
index abeee32b..c47feb88 100644
--- a/web/pgadmin/browser/static/js/node.ui.js
+++ b/web/pgadmin/browser/static/js/node.ui.js
@@ -38,7 +38,7 @@ define([
       ].join(''));
 
       let $btnContainer = $(
-        '<div style="">'
+        '<div class="select2-select-all-adapter-container">'
       ).append($selectAll).append($unselectAll);
 
       if (!this.$element.prop('multiple')) {
diff --git a/web/pgadmin/static/scss/_select2.overrides.scss b/web/pgadmin/static/scss/_select2.overrides.scss
index aaec51b9..55f07fa2 100644
--- a/web/pgadmin/static/scss/_select2.overrides.scss
+++ b/web/pgadmin/static/scss/_select2.overrides.scss
@@ -2,3 +2,9 @@
   background-color: $color-primary-lighter;
   color:  $color-gray-dark;
 }
+
+.select2-select-all-adapter-container {
+  padding: 3px 0px;
+  background-color: $color-primary;
+  margin-bottom: 3px;
+}
\ No newline at end of file
diff --git a/web/pgadmin/tools/sqleditor/static/css/sqleditor.css b/web/pgadmin/tools/sqleditor/static/css/sqleditor.css
index 1bb04d06..3031eaca 100644
--- a/web/pgadmin/tools/sqleditor/static/css/sqleditor.css
+++ b/web/pgadmin/tools/sqleditor/static/css/sqleditor.css
@@ -416,7 +416,7 @@ input.editor-checkbox:focus {
 /* For Filter status bar */
 .data_sorting_dialog .pg-prop-status-bar {
   position: absolute;
-  bottom: 37px;
+  bottom: 40px;
   z-index: 5;
 }
 
